> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Reset a player's password for a given title.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AuthTokenAlreadyUsedToResetPassword | 1329 |
| AuthTokenDoesNotExist | 1327 |
| AuthTokenExpired | 1328 |
| InvalidAuthToken | 1326 |
| NoContactEmailAddressFound | 1325 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/ResetPassword
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/ResetPassword:
    post:
      tags:
        - Account Management
      summary: Reset Password
      description: |
        Reset a player's password for a given title.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | AuthTokenAlreadyUsedToResetPassword | 1329 |
        | AuthTokenDoesNotExist | 1327 |
        | AuthTokenExpired | 1328 |
        | InvalidAuthToken | 1326 |
        | NoContactEmailAddressFound | 1325 |
      operationId: ResetPassword
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetPasswordRequest'
        description: >-
          Resets a player's password taking in a new password based and
          validating the user based off of a token sent to the playerto their
          email. The token expires after 30 minutes.
      responses:
        '200':
          $ref: '#/components/responses/ResetPasswordResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ResetPasswordRequest:
      description: >-
        Resets a player's password taking in a new password based and validating
        the user based off of a token sent to the playerto their email. The
        token expires after 30 minutes.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Password:
          description: The new password for the player.
          type: string
        Token:
          description: The token of the player requesting the password reset.
          type: string
      required:
        - Token
        - Password
      example:
        Token: 2B584FA1DF645E4
        Password: ExampleSecret@r
    ResetPasswordResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ResetPasswordResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ResetPasswordResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Reset Password](/services/playfab/api-references/rest/admin/account-management/reset-password.md)
- [Content & Configuration Writes Meter API Description](/services/playfab/pricing/meters/file-writes.md)
- [Email messaging quickstart](/services/playfab/live-service-management/game-configuration/title-communications/emails/quickstart.md)
- [player_completed_password_reset](/services/playfab/api-references/events/PlayerIdentity/player-completed-password-reset.md)
- [player_password_reset_link_sent](/services/playfab/api-references/events/PlayerIdentity/player-password-reset-link-sent.md)
